> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reservations

> Get all reservations.



## OpenAPI

````yaml /openapi/openapi_reservation.json get /commerce/reservation
openapi: 3.0.1
info:
  description: |-
    <div id="overview_RESERVATION">
                <h2>RESERVATIONS</h2>
                <p>The Reservation APIs are used to create and manage inventory reservations. This includes updating items and quantities, fulfillment methods, zip codes and pickup locations, and resetting
                    the expiration timer for a reservation. For more information, see the <a href="/pages/reserve-inventory-in-cart">Reservations feature guide</a>.
                </p>
            </div>
  title: Reservation Web
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/reservation:
    get:
      tags:
        - Reservation
      summary: Get Reservations
      description: Get all reservations.
      parameters:
        - in: query
          name: startIndex
          schema:
            format: int32
            type: integer
        - in: query
          name: pageSize
          schema:
            format: int32
            type: integer
        - in: query
          name: sortBy
          schema:
            type: string
        - in: query
          name: filter
          schema:
            type: string
        - in: query
          name: q
          schema:
            type: string
        - in: query
          name: qLimit
          schema:
            format: int32
            type: integer
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          description: Success
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````